Skip to main content
curl --request GET 'https://api.mayar.id/hl/v1/product/4d26ea37-d093-4b92-8f5f-0faec64d65b0' \
--header 'Authorization: Bearer Paste-Your-API-Key-Here'
{
    "statusCode": 200,
    "messages": "success",
    "data": {
        "id": "6f8c19ff-5b97-4792-aa89-d2a12797b356",
        "link": "pembuatan-jasa-web",
        "name": "Pembuatan Jasa Web",
        "category": null,
        "limit": null,
        "type": "generic_link",
        "subType": null,
        "variant": "[{\"id\":\"986cb91e-70ee-4579-a046-3201f936e6e1\",\"name\":\"Landing Page \",\"description\":\"<p></p>\\n\",\"amount\":100000,\"limit\":null,\"notes\":\"\",\"redirectUrl\":\"\",\"status\":\"ACTIVE\",\"createdAt\":1778236239496},{\"id\":\"99de25dc-0302-4d64-9467-6f1c85fbc1bb\",\"name\":\"Sistem Crud\",\"description\":\"<p></p>\\n\",\"amount\":500000,\"limit\":null,\"notes\":\"\",\"redirectUrl\":\"\",\"status\":\"ACTIVE\",\"createdAt\":1778236254836}]",
        "userId": "348e083d-315a-4e5c-96b1-5a2a98c48413",
        "membershipTier": [],
        "event": null,
        "order": null,
        "qty": null,
        "amount": 100000,
        "status": "active",
        "description": "<p>Testing</p>\n",
        "coverImageId": null,
        "multipleImageId": "62840541-d45d-4e3f-a13a-e4f8bcdf4e5d",
        "transactions": [],
        "coverImage": null,
        "multipleImage": [
            {
                "id": "503d493e-7ae5-4892-80a6-b925e057698f",
                "fileType": "jpeg",
                "url": "https://media.mayar.id/images/503d493e-7ae5-4892-80a6-b925e057698f.jpeg"
            }
        ],
        "linkUrl": "https://testingmayar.myr.id/plink/pembuatan-jasa-web",
        "linkPayment": "https://testingmayar.myr.id/pl/pembuatan-jasa-web",
        "variants": [
            {
                "id": "986cb91e-70ee-4579-a046-3201f936e6e1",
                "name": "Landing Page ",
                "description": "<p></p>\n",
                "amount": 100000,
                "limit": null,
                "notes": "",
                "redirectUrl": "",
                "status": "ACTIVE",
                "createdAt": 1778236239496
            },
            {
                "id": "99de25dc-0302-4d64-9467-6f1c85fbc1bb",
                "name": "Sistem Crud",
                "description": "<p></p>\n",
                "amount": 500000,
                "limit": null,
                "notes": "",
                "redirectUrl": "",
                "status": "ACTIVE",
                "createdAt": 1778236254836
            }
        ]
    }
}
Endpoint:
https://api.mayar.id/hl/v1/product/{id}

Authorization

Authorization
string
required
Example:Authorization | Bearer Paste-Your-API-Key-Here

Path Parameters

id
string <uuid>
required
Unique product ID.

Response

Successful Response

Main Structure (Root)

statusCode
integer
Status code form API.
messages
string
Status message that describes the status code.
hasMore
boolean
Information on whether there is additional data to be retrieved (true/false).
pageCount
integer
Total number of data pages.
pageSize
integer
Number of items per page.
page
integer
The page currently displayed.
data
array of object
List of products displayed.

data Structure (Array Of Object)

id
string
Unique identifier of the product.
Unique slug or identifier used in the product URL.
name
string
Product name.
category
string | null
Product category if available.
limit
integer | null
Purchase or access limit if configured.
type
string
Product type (e.g., saas, event, membership, ebook, etc.).
subType
string | null
Product subtype if applicable.
variant
string | null
Product variant.
userId
string
ID Customer.
membershipTier
string | null
Installment identifier if the product supports installment payments.
event
object | null
Event details.
order
object | null
Order configuration if applicable.
qty
string | null
Number of product
amount
integer
Product price amount.
status
string
Current product status (e.g., active, inactive).
description
string
Product description in HTML format.
coverImageId
string | null
Identifier of the cover image.
multipleImageId
array
List of additional image identifiers.
transactions
array | null
List of related transactions (empty if none).
coverImage
object | null
Cover image object containing image details.
multipleImage
array
List of additional image objects.
Public product page URL.
Public payment link URL.
variants
string
Product variant.